/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id: bash_parser_c.h,v 1.1 2006/02/24 17:35:21 pipas Exp pipas $
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: bash_parser_c.h,v $
 * Revision 1.1  2006/02/24 17:35:21  pipas
 * Initial revision
 *
 */
#ifndef BASH_PARSER_C_H
#define BASH_PARSER_C_H

#include <gnome.h>

gboolean node_debug_print(GNode *node, gpointer data);
gboolean parse_tree_check_option(GNode *node,
		const gchar *program,
		const gchar *option);
gchar *parse_tree_get_producer_program(GNode *tree);
gchar *parse_tree_get_first_argument(GNode *tree);
gboolean parse_tree_check(GNode *tree); 
#endif
